> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geo-endpointy-do-dostepu-do-danych-przestrzennych.md).

# Geo endpointy do dostępu do danych przestrzennych

{% hint style="success" %}
GeoPard używa <https://www.ogc.org/> otwartych formatów danych Open Geospatial Consortium, takich jak WMS do obrazów i WFS do danych wektorowych. Ponadto pracujemy z plikami shapefile do importu i eksportu. Silnik jest elastyczny i umożliwia import oraz eksport w dowolnym z tych formatów danych. Do obrazów satelitarnych pracujemy z [COG-ami (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Aby wykonać żądania WMS/WFS, trzeba zainstalować Postmana.
{% endhint %}

{% hint style="info" %}
Każde żądanie musi być podpisane nagłówkiem "Authorization" (gdzie należy wstawić token) albo parametrem URL "geopardApiKey " (gdzie należy wstawić klucz API użytkownika).
{% endhint %}

Punkty końcowe API WMS są przechowywane w atrybutach "geoMaps" encji "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset". Sprawdź [GeoPard DataScheme.](/geopard-tutorials/pl/dokumentacja-api/schemat-danych-api-geopard.md)

Punkty końcowe API WFS są przechowywane w atrybutach "boundaryUrl", "zonesMapUrl" i "attributesUrl" encji "Field" oraz "VectorAnalysisMap".

{% hint style="info" %}
Zalecamy używanie projekcji EPSG:900913 zamiast EPSG:3857, aby uzyskać dokładniejsze obrazy.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geo-endpointy-do-dostepu-do-danych-przestrzennych.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
